Couldn't load framework on MotoX Android 5.1 #924

Closed
kaneawk opened this Issue Apr 22, 2015 · 10 comments

Comments

Projects
None yet
5 participants
@kaneawk

kaneawk commented Apr 22, 2015

Error log:

D:\Tools\smali>java -jar apktool-2.0.1-fc3401-SNAPSHOT-small.jar if framework-re
s.apk
Exception in thread "main" brut.androlib.AndrolibException: Could not decode ars
c file
        at brut.androlib.res.decoder.ARSCDecoder.decode(ARSCDecoder.java:52)
        at brut.androlib.res.decoder.ARSCDecoder.decode(ARSCDecoder.java:39)
        at brut.androlib.res.AndrolibResources.installFramework(AndrolibResource
s.java:606)
        at brut.androlib.res.AndrolibResources.installFramework(AndrolibResource
s.java:588)
        at brut.androlib.Androlib.installFramework(Androlib.java:670)
        at brut.apktool.Main.cmdInstallFramework(Main.java:242)
        at brut.apktool.Main.main(Main.java:87)
Caused by: java.io.IOException: Expected: 0x00000008, got: 0x00000001
        at brut.util.ExtDataInput.skipCheckShort(ExtDataInput.java:56)
        at brut.androlib.res.decoder.ARSCDecoder.readValue(ARSCDecoder.java:238)

        at brut.androlib.res.decoder.ARSCDecoder.readEntry(ARSCDecoder.java:201)

        at brut.androlib.res.decoder.ARSCDecoder.readConfig(ARSCDecoder.java:189
)
        at brut.androlib.res.decoder.ARSCDecoder.readType(ARSCDecoder.java:157)
        at brut.androlib.res.decoder.ARSCDecoder.readPackage(ARSCDecoder.java:11
4)
        at brut.androlib.res.decoder.ARSCDecoder.readTable(ARSCDecoder.java:78)
        at brut.androlib.res.decoder.ARSCDecoder.decode(ARSCDecoder.java:47)
        ... 6 more

Moto X Android 5.1 framework-res.apk download link:https://drive.google.com/open?id=0B-3CzX2gWi4QRnE5NUVOUGFVMU0&authuser=0

Some Info:
Apktool version:v2.0.1-fc3401-SNAPSHOT
Model:Moto X XT1058
Android verison:android 5.1
Android build id:LPA23.12-2
Windows verison: Windows 8.1 build 6.3.9600

hmmm,couldn't load framework,so,no one system apk can be decompiled.Please fix tihs bug,Thanks!

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Apr 22, 2015

Owner

Requested permission to download apk.

Owner

iBotPeaches commented Apr 22, 2015

Requested permission to download apk.

@kaneawk

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Apr 23, 2015

Owner

This is a weird one. It breaks on readEntry() of the resources. At readEntry() it either needs to read a complex or regular value. The flags indicate a regular value. However, the needed header value of the regular value is 8 and it has 1.

Which makes absolutely no sense. So off to aapt I go to check these resources and I'm greeted with a nasty segmentation fault.

I have no idea yet. AOSP shows no changes to the affected area, but yes I confirm a problem.

Owner

iBotPeaches commented Apr 23, 2015

This is a weird one. It breaks on readEntry() of the resources. At readEntry() it either needs to read a complex or regular value. The flags indicate a regular value. However, the needed header value of the regular value is 8 and it has 1.

Which makes absolutely no sense. So off to aapt I go to check these resources and I'm greeted with a nasty segmentation fault.

I have no idea yet. AOSP shows no changes to the affected area, but yes I confirm a problem.

@kaneawk

This comment has been minimized.

Show comment
Hide comment
@kaneawk

kaneawk Apr 23, 2015

I have no idea too.Waiting for your good news.
:)

kaneawk commented Apr 23, 2015

I have no idea too.Waiting for your good news.
:)

@skritchz

This comment has been minimized.

Show comment
Hide comment
@skritchz

skritchz May 16, 2015

Got the same issue on the Moto E 2nd gen.

Here is the link to the framework-res.apk of the CDMA sprint version, if it can help.

https://drive.google.com/file/d/0B9yijcf7VwyBTXdVeDhsZXE3Yms/view?usp=sharing

Got the same issue on the Moto E 2nd gen.

Here is the link to the framework-res.apk of the CDMA sprint version, if it can help.

https://drive.google.com/file/d/0B9yijcf7VwyBTXdVeDhsZXE3Yms/view?usp=sharing

@iBotPeaches iBotPeaches added this to the v2.0.1 milestone May 17, 2015

@iBotPeaches iBotPeaches self-assigned this May 17, 2015

@schspa

This comment has been minimized.

Show comment
Hide comment
@schspa

schspa May 21, 2015

Maybe you can check out this, It may help you, If it is something with the build stage. http://stackoverflow.com/questions/27194221/requirements-for-an-android-app-to-be-decompiled

schspa commented May 21, 2015

Maybe you can check out this, It may help you, If it is something with the build stage. http://stackoverflow.com/questions/27194221/requirements-for-an-android-app-to-be-decompiled

@schspa

This comment has been minimized.

Show comment
Hide comment
@schspa

schspa May 21, 2015

It is happened a few days ago, before there is framework-res.apk\res\valuse directory, but the undecompileable version have no valuse directory in it. So it may be some new thing with 5.1.1 API2 build-tools/22.0.1 hope it will be fixed.

schspa commented May 21, 2015

It is happened a few days ago, before there is framework-res.apk\res\valuse directory, but the undecompileable version have no valuse directory in it. So it may be some new thing with 5.1.1 API2 build-tools/22.0.1 hope it will be fixed.

@ericpd

This comment has been minimized.

Show comment
Hide comment
@ericpd

ericpd Mar 9, 2016

hi iBotPeaches
please help me :(
why i have this error ?
fix for we please......................
http://s7.picofile.com/file/8242630550/1.png
i decompile first and 1 secound next want to compile dont edit and copy or paste file and ........
but give this error ............

ericpd commented Mar 9, 2016

hi iBotPeaches
please help me :(
why i have this error ?
fix for we please......................
http://s7.picofile.com/file/8242630550/1.png
i decompile first and 1 secound next want to compile dont edit and copy or paste file and ........
but give this error ............

@iBotPeaches

This comment has been minimized.

Show comment
Hide comment
@iBotPeaches

iBotPeaches Mar 9, 2016

Owner

@ericpd You have that error because you did not read the guide. You did not look at existing questions or put an effort towards finding a solution.

On the first page of documentation you will find the mistake you made and solution - http://ibotpeaches.github.io/Apktool/documentation/#building

Owner

iBotPeaches commented Mar 9, 2016

@ericpd You have that error because you did not read the guide. You did not look at existing questions or put an effort towards finding a solution.

On the first page of documentation you will find the mistake you made and solution - http://ibotpeaches.github.io/Apktool/documentation/#building

@ericpd

This comment has been minimized.

Show comment
Hide comment
@ericpd

ericpd Mar 10, 2016

tanx for answer @iBotPeaches
can you give this pakage in a zip file for build ...
your a best ibot
api and apktool and anyware please....
give a full pakage in a file in one link for download

ericpd commented Mar 10, 2016

tanx for answer @iBotPeaches
can you give this pakage in a zip file for build ...
your a best ibot
api and apktool and anyware please....
give a full pakage in a file in one link for download

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment